GuidoForm SelectProfile {
-default_buttons
-label "Select Profile"
-layout BoxLayout Y_AXIS
GuidoLabel label1 {
-label "Select a profile or enter a new profile name to save the values to."
}
GuidoFiller filler1 {
-height 0.5
}
GuidoPanel panel {
-layout CentreLineLayout
GuidoComboBox profile {
-label "Profile"
-display_length 16
-exclusive false
-input true
}
}
GuidoFiller filler1 {
-height 2.0
}
}
set buffer [ GuidoExecServer GetProfileList {} ]
set profileList [ GuidoGetParamBufferValue $buffer profile ]
if {$profileList >= 0} {
eval [concat {$profile} {setValues} $profileList ]
}
$profile setCurrentValue [ GuidoGetParamBufferValue $buffer current_profile ]
set return_code [$SelectProfile interact]
if {$return_code == "apply"} {
GuidoApp app "SAVE USER DEFAULT SETTINGS"
$app setParam profile [$profile getCurrentValue]
set result [$app invoke]
$app destroy
}
